import request from '@/utils/request'

// 查询模具实例管理列表
export function listMould(query) {
	return request({
		url: '/tpmMould/mould/list',
		method: 'get',
		params: query
	})
}

// 查询共模作业组列表
export function listMesMouldShareGroup(query) {
	return request({
		url: '/mes/mesMouldShareGroup/list',
		method: 'get',
		params: query
	})
}

// 查询共模作业组详细
export function getMesMouldShareGroup(id) {
	return request({
		url: '/mes/mesMouldShareGroup/' + id,
		method: 'get'
	})
}

// 新增共模作业组
export function addMesMouldShareGroup(data) {
	return request({
		url: '/mes/mesMouldShareGroup',
		method: 'post',
		data: data
	})
}

// 修改共模作业组
export function updateMesMouldShareGroup(data) {
	return request({
		url: '/mes/mesMouldShareGroup',
		method: 'put',
		data: data
	})
}

// 删除共模作业组
export function delMesMouldShareGroup(id) {
	return request({
		url: '/mes/mesMouldShareGroup/' + id,
		method: 'delete'
	})
}